// GENERATED BY THE COMMAND ABOVE; DO NOT EDIT
// This file was generated by swaggo/swag

package docs

import (
	"bytes"
	"encoding/json"
	"strings"

	"github.com/alecthomas/template"
	"github.com/swaggo/swag"
)

var doc = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{.Description}}",
        "title": "{{.Title}}",
        "contact": {
            "name": "API Support",
            "url": "http://www.swagger.io/support"
        },
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/import": {
            "put": {
                "description": "TG金流統計資料重匯測試",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "root"
                ],
                "summary": "金流統計資料重匯",
                "parameters": [
                    {
                        "description": "統計時間",
                        "name": "statsTime",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/http.importMoneyStatsReqType"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "object"
                        }
                    }
                }
            }
        },
        "/query": {
            "get": {
                "description": "TG金流統計資料查詢測試",
                "consumes": [
                    "*/*"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "root"
                ],
                "summary": "金流統計資料查詢",
                "parameters": [
                    {
                        "type": "string",
                        "default": "2021-03-26T13:00:00Z",
                        "description": "開始時間",
                        "name": "start",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "default": "2021-03-31T23:59:59Z",
                        "description": "結束時間",
                        "name": "end",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/dataanalysis.MoneyStatsQuery"
                            }
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "dataanalysis.MoneyStatsQuery": {
            "type": "object",
            "properties": {
                "action": {
                    "type": "string"
                },
                "company": {
                    "type": "string"
                },
                "count": {
                    "type": "integer"
                },
                "money": {
                    "type": "number"
                },
                "moneyFlow": {
                    "type": "string"
                },
                "typeID": {
                    "type": "integer"
                }
            }
        },
        "http.importMoneyStatsReqType": {
            "type": "object",
            "properties": {
                "statsTime": {
                    "type": "string",
                    "example": "2021-04-07T12:00:00Z"
                }
            }
        }
    }
}`

type swaggerInfo struct {
	Version     string
	Host        string
	BasePath    string
	Schemes     []string
	Title       string
	Description string
}

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = swaggerInfo{
	Version:     "1.0",
	Host:        "petstore.swagger.io",
	BasePath:    "/v2",
	Schemes:     []string{},
	Title:       "Swagger Example API",
	Description: "This is a sample server Petstore server.",
}

type s struct{}

func (s *s) ReadDoc() string {
	sInfo := SwaggerInfo
	sInfo.Description = strings.Replace(sInfo.Description, "\n", "\\n", -1)

	t, err := template.New("swagger_info").Funcs(template.FuncMap{
		"marshal": func(v interface{}) string {
			a, _ := json.Marshal(v)
			return string(a)
		},
	}).Parse(doc)
	if err != nil {
		return doc
	}

	var tpl bytes.Buffer
	if err := t.Execute(&tpl, sInfo); err != nil {
		return doc
	}

	return tpl.String()
}

func init() {
	swag.Register(swag.Name, &s{})
}
